#!/bin/bash

set -euo pipefail

expiry="24m"
date="$(date +%Y%m)"
key="$date.pgp"
cert="$date-cert.pgp"

sq key generate \
	--can-sign \
	--cannot-encrypt \
	--cannot-authenticate \
	--expires-in "$expiry" \
	--export="$key" \
	--userid "apt.liw.fi archive signing key <liw@liw.fi>"
rm "$key.rev"
sq key extract-cert "$key" --output "$cert"

git add "$cert"
git commit -m "new signing key $date" "$cert"
